收藏
回答

开发者工具ES6转ES5不转Proxy吗?

问题模块 框架类型 问题类型 操作系统 工具版本
开发者工具 小程序 Bug macOS 1.02.1808300

rt,开发者工具ES6转ES5不转Proxy吗?

我这边ios9的测试机,开了es6转es5,还是报了没有Proxy的错误。

目前自己引了proxy的polyfill解决这个问题。

最后一次编辑于  2018-09-10  (未经腾讯允许,不得转载)
邀请回答
复制链接收藏投诉关注问题回答

11 个回答

  • HS
    HS
    2018-09-10

    是的,需要您自行引入 polyfill。

    2018-09-10
    赞同
    回复
  • Jimmy L
    Jimmy L
    2018-10-19

    楼主,可否提供一下proxy的polyfill?我找不到

    感谢

    2018-10-19
    赞同
    回复 8
    • 宋治佳
      宋治佳
      2018-10-22

      https://github.com/GoogleChrome/proxy-polyfill/blob/master/proxy.min.js

      2018-10-22
      赞同
      回复
    • 韩硕
      韩硕
      06-17

      麻烦请教一下,你是怎么引入的polyfill,我使用 require 的方式引用后报错,万分感谢


      06-17
      赞同
      回复
    • Jimmy L
      Jimmy L
      06-17回复韩硕

      装上就好了,但是提醒一下,ios8及以下依然报错。。

      06-17
      赞同
      回复
    • 韩硕
      韩硕
      06-17

      用 npm 装还是?能否给看一下引入的代码方法呢,多谢

      06-17
      赞同
      回复
    • Jimmy L
      Jimmy L
      06-17回复韩硕

      就npm安装,参照github

      06-17
      赞同
      回复
    查看更多(3)
  • 韩硕
    韩硕
    06-17

    麻烦请教一下,你是怎么引入的polyfill,我使用 require 的方式引用后报错,万分感谢

    06-17
    赞同
    回复